%global major 1
%global api 0.1
%define libname %mklibname gltf %{api} %{major}
%define devname %mklibname gltf -d

Summary:	A library for rendering glTF models
Name:		libgltf
Version:	0.1.0
Release:	1
License:	MPLv2.0
Group:		System/Libraries
Url:		https://wiki.documentfoundation.org/Development/libgltf
Source0:	http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel
BuildRequires:	glm-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(epoxy)

%description
%{name} is a library for rendering glTF models -- development glTF, the GL
Transmission Format, is the runtime asset format for the GL APIs: WebGL,
OpenGL ES, and OpenGL. glTF bridges the gap between formats used by modeling
tools and the GL APIs.

%{name} provides methods to load the OpenGL scene from glTF format and render
it into an existing OpenGL context. %{name} also allows to change the camera
position so the scene can be displayed from different points of view.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for rendering glTF models
Group:		System/Libraries

%description -n %{libname}
%{name} is a library for rendering glTF models -- development glTF, the GL
Transmission Format, is the runtime asset format for the GL APIs: WebGL,
OpenGL ES, and OpenGL. glTF bridges the gap between formats used by modeling
tools and the GL APIs.

%{name} provides methods to load the OpenGL scene from glTF format and render
it into an existing OpenGL context. %{name} also allows to change the camera
position so the scene can be displayed from different points of view.

%files -n %{libname}
%doc AUTHORS COPYING NEWS
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%doc ChangeLog
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-silent-rules \
	--disable-static \
	--disable-werror
%make

%install
%makeinstall_std

%changelog

* Mon Jul 31 2017 Alzim <alzim@bk.ru> 0.1.0-1
- (2a5c76c) Updated to 0.1.0


